<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>

</head>
<body>
    <div id="demo1">
        <p v-upper-text="msg1"></p>
        <p v-lower-text="msg1"></p>
    </div>

    <div id="demo2">
        <p v-upper-text="msg2"></p>
        <p v-lower-text="msg2"></p>
    </div>

    <script>
        //定义全局指令
        // el： 是指定所在的html标签
        // binding： 包含指令相关信息
        Vue.directive('upper-text', function(el, binding) {
            console.log(el, binding);
            el.textContent = binding.value.toUpperCase()
        }) 

        new Vue({
            el:"#demo1",
            data:{
                msg1: 'NBA I Love This Game!'
            },
            // 定义局部指令
            directives:{
                'lower-text':function(el, binding){
                    el.textContent = binding.value.toLowerCase()
                }
            }
        })

        new Vue({
            el:"#demo2",
            data:{
                msg2: 'JUST Do It!'
            },
            // 定义局部指令
            // directives:{
            //     'lower-text':function(el, binding){
            //         el.textContent = binding.value.toLowerCase()
            //     }
            // }
        })
    </script>
</body>
</html>